diff a/src/java.base/windows/classes/sun/nio/fs/WindowsNativeDispatcher.java b/src/java.base/windows/classes/sun/nio/fs/WindowsNativeDispatcher.java
--- a/src/java.base/windows/classes/sun/nio/fs/WindowsNativeDispatcher.java
+++ b/src/java.base/windows/classes/sun/nio/fs/WindowsNativeDispatcher.java
@@ -23,11 +23,10 @@
  * questions.
  */
 
 package sun.nio.fs;
 
-import jdk.internal.misc.Blocker;
 import jdk.internal.misc.Unsafe;
 
 import static sun.nio.fs.WindowsConstants.*;
 
 /**
@@ -66,21 +65,16 @@
                            int dwCreationDisposition,
                            int dwFlagsAndAttributes)
         throws WindowsException
     {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
-            long comp = Blocker.begin();
-            try {
-                return CreateFile0(buffer.address(),
-                                   dwDesiredAccess,
-                                   dwShareMode,
-                                   lpSecurityAttributes,
-                                   dwCreationDisposition,
-                                   dwFlagsAndAttributes);
-            } finally {
-                Blocker.end(comp);
-            }
+            return CreateFile0(buffer.address(),
+                               dwDesiredAccess,
+                               dwShareMode,
+                               lpSecurityAttributes,
+                               dwCreationDisposition,
+                               dwFlagsAndAttributes);
         }
     }
     static long CreateFile(String path,
                            int dwDesiredAccess,
                            int dwShareMode,
@@ -111,16 +105,11 @@
      *   LPCTSTR lpFileName
      * )
      */
     static void DeleteFile(String path) throws WindowsException {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
-            long comp = Blocker.begin();
-            try {
-                DeleteFile0(buffer.address());
-            } finally {
-                Blocker.end(comp);
-            }
+            DeleteFile0(buffer.address());
         }
     }
     private static native void DeleteFile0(long lpFileName)
         throws WindowsException;
 
@@ -130,16 +119,11 @@
      *   LPSECURITY_ATTRIBUTES lpSecurityAttributes
      * )
      */
     static void CreateDirectory(String path, long lpSecurityAttributes) throws WindowsException {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
-            long comp = Blocker.begin();
-            try {
-                CreateDirectory0(buffer.address(), lpSecurityAttributes);
-            } finally {
-                Blocker.end(comp);
-            }
+            CreateDirectory0(buffer.address(), lpSecurityAttributes);
         }
     }
     private static native void CreateDirectory0(long lpFileName, long lpSecurityAttributes)
         throws WindowsException;
 
@@ -148,16 +132,11 @@
      *   LPCTSTR lpPathName
      * )
      */
     static void RemoveDirectory(String path) throws WindowsException {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
-            long comp = Blocker.begin();
-            try {
-                RemoveDirectory0(buffer.address());
-            } finally {
-                Blocker.end(comp);
-            }
+            RemoveDirectory0(buffer.address());
         }
     }
     private static native void RemoveDirectory0(long lpFileName)
         throws WindowsException;
 
@@ -198,16 +177,11 @@
      * )
      */
     static FirstFile FindFirstFile(String path) throws WindowsException {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
             FirstFile data = new FirstFile();
-            long comp = Blocker.begin();
-            try {
-                FindFirstFile0(buffer.address(), data);
-            } finally {
-                Blocker.end(comp);
-            }
+            FindFirstFile0(buffer.address(), data);
             return data;
         }
     }
     static class FirstFile {
         private long handle;
@@ -228,16 +202,11 @@
      *   LPWIN32_FIND_DATA lpFindFileData
      * )
      */
     static long FindFirstFile(String path, long address) throws WindowsException {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
-            long comp = Blocker.begin();
-            try {
-                return FindFirstFile1(buffer.address(), address);
-            } finally {
-                Blocker.end(comp);
-            }
+            return FindFirstFile1(buffer.address(), address);
         }
     }
     private static native long FindFirstFile1(long lpFileName, long address)
         throws WindowsException;
 
@@ -248,16 +217,11 @@
      * )
      *
      * @return  lpFindFileData->cFileName or null
      */
     static String FindNextFile(long handle, long address) throws WindowsException {
-        long comp = Blocker.begin();
-        try {
-            return FindNextFile0(handle, address);
-        } finally {
-            Blocker.end(comp);
-        }
+        return FindNextFile0(handle, address);
     }
     private static native String FindNextFile0(long handle, long address)
         throws WindowsException;
 
     /**
@@ -269,16 +233,11 @@
      * )
      */
     static FirstStream FindFirstStream(String path) throws WindowsException {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
             FirstStream data = new FirstStream();
-            long comp = Blocker.begin();
-            try {
-                FindFirstStream0(buffer.address(), data);
-            } finally {
-                Blocker.end(comp);
-            }
+            FindFirstStream0(buffer.address(), data);
             if (data.handle() == WindowsConstants.INVALID_HANDLE_VALUE)
                 return null;
             return data;
         }
     }
@@ -298,16 +257,11 @@
      *   HANDLE hFindStream,
      *   LPVOID lpFindStreamData
      * )
      */
     static String FindNextStream(long handle) throws WindowsException {
-        long comp = Blocker.begin();
-        try {
-            return FindNextStream0(handle);
-        } finally {
-            Blocker.end(comp);
-        }
+        return FindNextStream0(handle);
     }
     private static native String FindNextStream0(long handle) throws WindowsException;
 
     /**
      * FindClose(
@@ -323,16 +277,11 @@
      * )
      */
     static void GetFileInformationByHandle(long handle, long address)
         throws WindowsException
     {
-        long comp = Blocker.begin();
-        try {
-            GetFileInformationByHandle0(handle, address);
-        } finally {
-            Blocker.end(comp);
-        }
+        GetFileInformationByHandle0(handle, address);
     }
     private static native void GetFileInformationByHandle0(long handle, long address)
         throws WindowsException;
 
     /**
@@ -349,17 +298,11 @@
                            long addressToPollForCancel)
         throws WindowsException
     {
         try (NativeBuffer sourceBuffer = asNativeBuffer(source);
              NativeBuffer targetBuffer = asNativeBuffer(target)) {
-            long comp = Blocker.begin();
-            try {
-                CopyFileEx0(sourceBuffer.address(), targetBuffer.address(), flags,
-                        addressToPollForCancel);
-            } finally {
-                Blocker.end(comp);
-            }
+            CopyFileEx0(sourceBuffer.address(), targetBuffer.address(), flags, addressToPollForCancel);
         }
     }
     private static native void CopyFileEx0(long existingAddress, long newAddress,
         int flags, long addressToPollForCancel) throws WindowsException;
 
@@ -373,16 +316,11 @@
     static void MoveFileEx(String source, String target, int flags)
         throws WindowsException
     {
         try (NativeBuffer sourceBuffer = asNativeBuffer(source);
              NativeBuffer targetBuffer = asNativeBuffer(target)) {
-            long comp = Blocker.begin();
-            try {
-                MoveFileEx0(sourceBuffer.address(), targetBuffer.address(), flags);
-            } finally {
-                Blocker.end(comp);
-            }
+            MoveFileEx0(sourceBuffer.address(), targetBuffer.address(), flags);
         }
     }
     private static native void MoveFileEx0(long existingAddress, long newAddress,
         int flags) throws WindowsException;
 
@@ -391,16 +329,11 @@
      *   LPCTSTR lpFileName
      * )
      */
     static int GetFileAttributes(String path) throws WindowsException {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
-            long comp = Blocker.begin();
-            try {
-                return GetFileAttributes0(buffer.address());
-            } finally {
-                Blocker.end(comp);
-            }
+            return GetFileAttributes0(buffer.address());
         }
     }
     private static native int GetFileAttributes0(long lpFileName)
         throws WindowsException;
 
@@ -411,16 +344,11 @@
      */
     static void SetFileAttributes(String path, int dwFileAttributes)
         throws WindowsException
     {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
-            long comp = Blocker.begin();
-            try {
-                SetFileAttributes0(buffer.address(), dwFileAttributes);
-            } finally {
-                Blocker.end(comp);
-            }
+            SetFileAttributes0(buffer.address(), dwFileAttributes);
         }
     }
     private static native void SetFileAttributes0(long lpFileName,
         int dwFileAttributes) throws WindowsException;
 
@@ -431,16 +359,11 @@
      *   LPVOID lpFileInformation
      * );
      */
     static void GetFileAttributesEx(String path, long address) throws WindowsException {
         try (NativeBuffer buffer = asNativeBuffer(path)) {
-            long comp = Blocker.begin();
-            try {
-                GetFileAttributesEx0(buffer.address(), address);
-            } finally {
-                Blocker.end(comp);
-            }
+            GetFileAttributesEx0(buffer.address(), address);
         }
     }
     private static native void GetFileAttributesEx0(long lpFileName, long address)
         throws WindowsException;
 
@@ -453,16 +376,11 @@
      * )
      */
     static void SetFileTime(long handle, long createTime, long lastAccessTime, long lastWriteTime)
         throws WindowsException
     {
-        long comp = Blocker.begin();
-        try {
-            SetFileTime0(handle, createTime, lastAccessTime, lastWriteTime);
-        } finally {
-            Blocker.end(comp);
-        }
+        SetFileTime0(handle, createTime, lastAccessTime, lastWriteTime);
     }
     private static native void SetFileTime0(long handle,
                                             long createTime,
                                             long lastAccessTime,
                                             long lastWriteTime)
